public interface SqlInstancesExecuteSqlRequestOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getBody()
public abstract ExecuteSqlPayload getBody()The request body.
.google.cloud.sql.v1beta4.ExecuteSqlPayload body = 100;
| Returns | |
|---|---|
| Type | Description |
ExecuteSqlPayload |
The body. |
getBodyOrBuilder()
public abstract ExecuteSqlPayloadOrBuilder getBodyOrBuilder()The request body.
.google.cloud.sql.v1beta4.ExecuteSqlPayload body = 100;
| Returns | |
|---|---|
| Type | Description |
ExecuteSqlPayloadOrBuilder |
|
getInstance()
public abstract String getInstance()Required. Database instance ID. This does not include the project ID.
string instance = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The instance. |
getInstanceBytes()
public abstract ByteString getInstanceBytes()Required. Database instance ID. This does not include the project ID.
string instance = 1 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for instance. |
getProject()
public abstract String getProject()Required. Project ID of the project that contains the instance.
string project = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
String |
The project. |
getProjectBytes()
public abstract ByteString getProjectBytes()Required. Project ID of the project that contains the instance.
string project = 2 [(.google.api.field_behavior) = REQUIRED];
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for project. |
hasBody()
public abstract boolean hasBody()The request body.
.google.cloud.sql.v1beta4.ExecuteSqlPayload body = 100;
| Returns | |
|---|---|
| Type | Description |
boolean |
Whether the body field is set. |